Index: guiframe/gui_manager.py
===================================================================
--- guiframe/gui_manager.py	(revision 53fc763693fe04a679de4b36efca24ddf5974b57)
+++ guiframe/gui_manager.py	(revision 08e1912795ee202be402c3233b4dce063355656b)
@@ -16,8 +16,5 @@
 import sys
 import xml
-if sys.platform.count("darwin")==0:
-    ON_MAC = False
-else:
-    ON_MAC = True
+
 try:
     # Try to find a local config
@@ -2204,8 +2201,7 @@
         self.s_screen = None
         try:
-            if not ON_MAC:
-                # make sure the current dir is App dir when it starts
-                temp_path = os.path.dirname(os.path.sys.path[0])  
-                os.chdir(temp_path)
+            # make sure the current dir is App dir when it starts
+            temp_path = os.path.dirname(os.path.sys.path[0])  
+            os.chdir(temp_path)
         except:
             pass
Index: sansview/perspectives/fitting/help_panel.py
===================================================================
--- sansview/perspectives/fitting/help_panel.py	(revision 23ccf074a71f708d9c6ceb9155df4b528291a598)
+++ sansview/perspectives/fitting/help_panel.py	(revision 08e1912795ee202be402c3233b4dce063355656b)
@@ -5,7 +5,6 @@
 from wx.lib.splitter import MultiSplitterWindow
 import os
-import sys
 
-    
+
 class HelpWindow(wx.Frame):
     """
@@ -16,20 +15,5 @@
         contains help info
         """
-        path = os.path.dirname(__file__)
-        temp_path = os.path.join(path,'images')
-        ico_file = os.path.join(temp_path,'ball.ico')
-        if os.path.isfile(ico_file):
-            self.SetIcon(wx.Icon(ico_file, wx.BITMAP_TYPE_ICO))
-        else:
-            temp_path = os.path.join(os.getcwd(),'images')
-            ico_file = os.path.join(temp_path,'ball.ico')
-            if os.path.isfile(ico_file):
-                self.SetIcon(wx.Icon(ico_file, wx.BITMAP_TYPE_ICO))
-            else:
-                ico_file = os.path.join(os.path.dirname(os.path.sys.path[0]),
-                             'images', 'ball.ico')
-                if os.path.isfile(ico_file):
-                    self.SetIcon(wx.Icon(ico_file, wx.BITMAP_TYPE_ICO))
-                    
+      
         splitter = MultiSplitterWindow(self, style=wx.SP_LIVE_UPDATE)
         rpanel = wx.Panel(splitter, -1)
@@ -68,6 +52,4 @@
         # get the media path
         path = models.get_data_path(media='media')
-        if not os.path.isdir(path):
-             path = os.path.dirname(os.path.sys.path[0])
         self.path = os.path.join(path,"model_functions.html")
         self.path_pd = os.path.join(path,"pd_help.html")
@@ -79,51 +61,22 @@
             </body>
             </html>"""
-        
-        if not os.path.isfile(os.path.join(path, "change_scale_help.html")):
-            path = os.path.join(os.path.dirname(os.path.sys.path[0]), 'media')
-        page = """<html>
+        page="""<html>
             <body>
             <ul>
-            <li><a href ="%s" target ="showframe">Change Scale</a><br></li>
-            """ % str(os.path.join(path, "change_scale_help.html"))
-        page += """
-            <li><a href ="%s" target ="showframe">Graph Help</a><br></li>
-            """ % str(os.path.join(path,  "reset_Graph_help.html"))
-        page += """
-            <li><a href ="%s" target ="showframe">Status Bar Help</a><br></li>
-            """ % str(os.path.join(path,  "status_bar_help.html"))
-        page += """
-            <li><a href ="%s" target ="showframe">Load a File</a><br></li>
-            """ % str(os.path.join(path, "load_data_help.html"))
-        page += """
-            <li><a href ="%s" 
-            target ="showframe">Simultaneous Fit</a><br></li>
-            """ % str(os.path.join(path, "simultaneous_fit_help.html"))
-        page += """
-            <li><a href ="%s" 
-            target ="showframe">Single Fit</a><br></li>
-            """ % str(os.path.join(path,  "single_fit_help.html"))
-        page += """
-            <li><a href ="%s" 
-            target ="showframe">Visualize Model</a><br></li>
-            """ % str(os.path.join(path, "model_use_help.html"))
-        page += """
-            <li><a href ="%s" 
-            target ="showframe">Data Averaging</a><br></li>
-            """ % str(os.path.join(path,  "averaging_help.html"))
-        page += """
+            <li><a href ="media/change_scale_help.html" target ="showframe">Change Scale</a><br></li>
+            <li><a href ="media/reset_Graph_help.html" target ="showframe">Graph Help</a><br></li>
+            <li><a href ="media/status_bar_help.html" target ="showframe">Status Bar Help</a><br></li>
+            <li><a href ="media/load_data_help.html" target ="showframe">Load a File</a><br></li>
+            <li><a href ="media/simultaneous_fit_help.html" target ="showframe">Simultaneous Fit</a><br></li>
+            <li><a href ="media/single_fit_help.html" target ="showframe">Single Fit</a><br></li>
+            <li><a href ="media/model_use_help.html" target ="showframe">Visualize Model</a><br></li>
+            <li><a href ="media/averaging_help.html" target ="showframe">Data Averaging</a><br></li>
             <li><a href ="%s" target ="showframe">Model Functions</a><br></li>
-            """ % str(self.path)
-        page += """<li><a href ="%s" target ="showframe">
-                Polydispersion Distributions</a><br></li>
-                """ % str(self.path_pd)
-        page += """
+            <li><a href ="%s" target ="showframe">Polydispersion Distributions</a><br></li>
             <li><a href ="%s" target ="showframe">Smear Computation</a><br></li>
-            """ % str(self.path_sm)
-        page += """<li><a href ="%s" 
-        target ="showframe">Key Combination</a><br></li>
+            <li><a href ="media/key_help.html" target ="showframe">Key Combination</a><br></li>
             </ul>
             </body>
-            </html>""" % str(os.path.join(path,  "key_help.html"))
+            </html>""" % (self.path, self.path_pd, self.path_sm)
         
         self.rhelp.SetPage(page1)
